

<?php
session_start();
include '../../assets/constant/config.php';

try {
    $conn = new PDO("mysql:host=$servername;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

if (isset($_POST['submit4'])) {

       

        $stmt = $conn->prepare("INSERT INTO `volunteerrole`(`name`,`notes`) VALUES (?,?)");

        $stmt->execute([
           
           htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
         
             htmlspecialchars($_POST['notes'], ENT_QUOTES, 'UTF-8'),
       ]);

        $_SESSION['success'] = "success";

        header("location:../manage_volunteerrole.php");
    }

 if (isset($_POST['update4'])) {

 $stmt = $conn->prepare("UPDATE `volunteerrole` SET `name`=?,`notes`=? WHERE id=? ");
                  $stmt->execute([
            htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['notes'], ENT_QUOTES, 'UTF-8'),
            htmlspecialchars($_POST['id'], ENT_QUOTES, 'UTF-8')
        ]);
    
        $_SESSION['update'] = "update";
        header("location:../manage_volunteerrole.php");
    }



// delete calender..

    if (isset($_POST['del_id'])) {

        $stmt = $conn->prepare("UPDATE `volunteerrole` SET delete_status='1' where id=? ");

        $stmt->execute([htmlspecialchars($_POST['del_id'], ENT_QUOTES, 'UTF-8')]);

        $_SESSION['delete'] = "delete";

        header("location:../manage_volunteerrole.php");
    }

} catch (PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}